Description

Had this a few times: I respond to this mandatory question (post-test, 'what is the genre'), I hit enter, and it shows me the 'this question
is mandatory' error a few times. See also console log (might be due to some questions/radio buttons among the 'comment boxes'?). 
Just using the example project.xml again.

Related issues:
Related to Bug # 1490: Hitting enter after radio button question skips next s... Resolved 2015-12-08

History
#1 - 2015-12-11 12:08 PM - Nicholas Jillings

This should be fixed along with bug #1490, the problem was the binding for capturing the enter key presses was being added each time the popup was
being created, but not cleared. So at the beginning for the preTest you have enter = 1 'button click' for proceed, then do the test. Then the post-test of
the first page adds another bind so hitting enter = 2 'button clicks' and so on. At the end it actually hits an error because a radio button cannot be empty
(it can rather I need to allow the response to be empty).

#2 - 2015-12-11 12:08 PM - Nicholas Jillings
- Related to Bug #1490: Hitting enter after radio button question skips next survey element added

#3 - 2015-12-11 12:09 PM - Nicholas Jillings
- Status changed from New to Resolved
